import * as React from 'react';
import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';
export declare namespace IOpenEditorComponent {
    interface OwnProps {
        openedFiles: any[];
        editors: any[];
    }
    type ApiProps = {
        removeChangedContent: (args: any) => any;
        openFile: (args: any) => any;
        activateEditor: (args: any) => any;
        closeFile: (args: any) => any;
        selectFile: (args: any) => any;
    };
    type StateProps = {
        treePanelWidth?: number;
        expand?: boolean;
    };
    type DispatchProps = {
        toggleExpand: (expand: boolean) => any;
        saveAll?: () => any;
        deselectFile?: (resource: URI) => any;
    };
    type ComponentProps = StateProps & ApiProps & DispatchProps & OwnProps;
    type Props = ComponentProps;
}
declare const OpenEditorComponent: React.FunctionComponent<IOpenEditorComponent.Props>;
export { OpenEditorComponent };
